@charset "utf-8";
/* Tag Body */
body {
    margin: 0; /* Sem Margens */
    padding: 0; /* Sem Espaçamentos */
    border: 0; /* Sem bordas */
    background-color: #f4f4f4; /* Cor de Fundo */
    color: #666666; /* Cor de Texto */
    font-family: "Source Sans Pro"; /* Fonte do Texto */
    font-size: 150%; /* Tamanho de Fonte */
    font-weight: 200%; /* Espessura de Texto */
    line-height: 1.65em; /* Espaçamento do Texto */
}
/* Elemento com id="header" */
#header {
    background-image: url('../images/banner.jpg'); /* Imagem de Fundo */
    background-size: cover; /* Para a imagem cobrir a tela o quanto for possível */
    background-color: #444444; /* Cor de fundo caso a imagem "banner.jpg" não carregue */
    text-align: center; /* Alinhamento do texto ao centro */
    min-height: 100vh; /* Tamanho mínimo para cobrir a tela inteira na vertical */
}
/* Todos os elementos com class="inner", dentro do elemento id="header" */
#header .inner {
    margin: auto; /* Margin auto alinha os elementos 'inner' ao centro */
    padding-top: 13%; /* Espaçamento de 13% ao topo */
    z-index: 1000; /* Posição relativa ao eixo Z, para ficar na frente de todos os elementos */
}
/* Todos os h1 dentro do elemento com id="header" */
#header h1 {
    font-size: 2cm; /* Tamanho da fonte do h1 será de 2 centimetros */
    padding: 0em 0.5em 0em 0.25em; /* Espaçamento: top=0em; right=0.5em; botton=0em; left=0.25em */
    font-family: "Source Sans Pro", sans-serif; /* Duas famílias de fonte, uma títular e uma reserva caso o usuário não possua a primeira fonte instalada em seu computador. */
    color: #ffffff; /* Cor do Texto em hexadecimal */
    font-weight: 900; /* Espessura da fonte, quanto mais, mais grossa será a fonte */
    line-height: 70px; /* Define 70px para o tamanho da linha dessa tag h1 */
    text-transform: uppercase; /* Transforma todas as letras do texto em maiúsculas */
}
/* Todos os h3 dentro do elemento com id="header" */
#header h3 {
    font-family: "Source Sans Pro", sans-serif; /* Duas famílias de fonte, uma títular e uma reserva caso o usuário não possua a primeira fonte instalada em seu computador. */
    color: #cccccc; /* Cor do Texto em hexadecimal */
    font-weight: 400; /* Espessura da fonte, quanto mais, mais grossa será a fonte */
    margin: 0; /* Retira qualquer margem padrão da tag */
    padding: 0; /* Retira qualquer padding padrão da tag */
}
/* Tag nav dentro do elemento com id="header" */
#header nav {
    background-color: #000000; /* Cor de Fundo em hexadecimal */
    width: 100%; /* Largura 100 % do tamanho da tela */
    margin: 0 auto; /* Margem igual a 0 acima e abaixo e automático na horizontal para alinhar o elemento ao centro */
    padding-top: 15px; /* Padding de 15px acima da tag nav */
    padding-bottom: 15px; /* Padding de 15px abaixo da tag nav */
    z-index: 1000; /* Posição relativa ao eixo Z, para ficar na frente de todos os elementos */ 
}
/* Tag <a> dentro da tag <nav> que, por sua vez, está em #header */
#header nav a {
    margin-right: 25px; /* Margem de 25pixel a direita de todos os elementos com a tag <a>, contidos em #header; */
    color: #cccccc; /* Cor do texto em hexadecimal */
    font-weight: 600; /* Espessura do texto */
    font-family: "Source Sans Pro", sans-serif;
    text-decoration: none;
}
/* Elemento com id="wrapper" */
#wrapper {
    width: 40em; /* Largura de 40em */
    margin: 0 auto; /* Margem igual a 0 para top e bottom e auto para alinhar o elemento ao centro */
    padding-top: 0; /* Espaçamento do topo de 0 */
    padding-right: 5em; /* Espaçamento da direirta de 5em */
    padding-bottom: 2em; /* Espaçamento inferior de 2en */
    padding-left: 5em; /* Espaçamento da esquerda de 5em */

/* Os espaçamentos acima poderiam ser escrito da seguite forma: padding: 0 5em 2em 5em; */    
}
/* Elemento com id="intro" */
#intro {
    padding: 4em 4em 2em 4em; /* Espaçamento: top, right, bottom, left */
    background-color: #ffffff; /* Cor de fundo em hexadecimal */
    border-radius: 10px; /* Borda com 10 pixel de arredondamento */
    text-align: center; /* Texto alinhado ao centro */
    margin-bottom: 4em; /* Margem inferior de 4em */
    margin-top: 2em; /* Margem superior de 2em */
}
/* Todos as tags com class="items", em nosso caso, a seção com os intens do conteudo */
.items {
    display: flex; /* Define o tipo de caixa de renderização usada pelo elemento */
    width: calc(100% + 2em); /* Calculo de largura */
    margin: -2em 0 0 -2em; /* Margem: top, right, bottom, left */
}
/* Todos os elementos com class="item", declarados nas tags <article> */
.item {
    padding: 3em 3em 1em 3em; /* Espaçamento: top, right, bottom, left */
    background-color: #ffffff; /* Cor de fundo em hexadecimal */ 
    border-radius: 4px; /* Borda com 4 pixel de arredondamento */
    text-align: center; /* Texto alinhado ao centro */
    margin: 2em 0 0 2em; /*margem: top, right, bottom, left */
    width: 50%; /* largura */ 
}
/* Todas as tags <header> dentro das classes item */
.item header {
    margin: -3em 0 3em -3em; /* Margem: top, right, bottom, left */
    width: calc(100% + 6em); /* Calculo Largura */
    height: 10em; /* 10em de ALtura */ 
    position: relative; /* Tipo de método utilizado para o posicionamento */ 
    overflow: hidden; /* Esconde elementos no header caso ultrapassem as margens */
}
/* Todas as tags <a> dentro da tag header */
.item header a {
    background-size: cover; /* Para a imagem cobrir o fundo ao máximo */ 
    background-position: center; /* Centraliza o Background (fundo) */ 
    background-repeat: no-repeat; /*Para não repetir a exibição da imagem no fundo */ 
    position: absolute; /*Especifica o método utilizado para posicionamento */
    width: 100%; /* Largura */ 
    height: 100%; /*Altura */ 
    display: block; /* Define o tipo de caixa de renderização usada pelo elemento. */
}
/* Elemento com id="footer" */
#footer {
    margin: 4em auto 0 auto; /* Margem: top, right, bottom, left */
    width: 40em; /* Largura */
    text-align: center; /* Texto alinhado ao centro */
    font-size: 0.8em; /* Tamanho da fonte */
}
/* Elementos com class="button" */
.button {
    border-radius: 4px; /* Borda com 4 pixel de arredondamento */
    display: block; /* Define o tipo de caixa de renderização usada pelo elemento */
    font-weight: 400; /* Espessura do texto */
    padding: 1em; /*Espaçamento de 1em para top, right, bottom, left */
    text-align: center; /* Texto alinhado ao Centro */ 
    text-transform: uppercase; /* Transforma todas as letras do texto em maiuscula */
    letter-spacing: 0.325em; /* Espaçamento entre as letras do texto */
    font-size: 0.725em; /* Tamanho da Fonte */
    background-color: transparent; /* Cor de Fundo Transparente */
    border: 2px solid #9a9a9a; /* Borda do botão espessura=2px estilo=solid e cor=#666666 */
    color: #9a9a9a; /* Cor do texto em hexadecimal */ 
}
/* Todas as tags <ul> */
ul {
    padding-left: 0; /* Espaçamento da esquerda 0 */
}
/* Todas as tags <li>, dentro das tags <ul> */
ul li {
    display: inline-block; /* Utilizado para remover o ponto padrão da tag <li> */
}
/* Todas as tags <a> */
a {
    text-decoration: none; /* Remove a estilização de texto padrão das tags <a> */ 
}
/* Regras para todas as tags <a> e as tags <a> dentro da navegação, para quando o usuário passar o mouse por cima do link */
#header nav a:hover, a:hover {
    color: #ffc711; /*Cor do texto em hexadecimal, cor da Becode :) */
}

#wrapper a:hover {
    background-color: #9a9a9a;
    transition: .5s;
}